#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-7b4f0b9ffbfedabe0cebdeca1a366771
key: crypt_6SqIBbIOYlV3K1MK0txiGO
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules:
    Crypto.PubKey.RSA Crypto.PubKey.RSA.PKCS15 Crypto.PubKey.RSA.OAEP
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim Crypto.PubKey.DSA
    Crypto.PubKey.DH Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.ECC.DH Crypto.PubKey.ECC.ECDSA
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/crypto-pubkey-0.2.8
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/crypto-pubkey-0.2.8
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-6SqIBbIOYlV3K1MK0txiGO
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    byteable-0.1.1-bfa09dbd630209bae1d4ccf4d6372eb1
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    crypto-numbers-0.2.7-f907cca14eb36c5e78bd006659a88d38
    crypto-pubkey-types-0.4.3-82f05d9e8d2893cf59c76a9819587bc2
    crypto-random-0.0.9-c8a74fb2140db57bf8f215bb0e8195f7
    cryptohash-0.11.6-1b1ad780c21c8d202a0bf76a6db36615
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/crypto-pubkey-0.2.8/html/crypto-pubkey.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/crypto-pubkey-0.2.8/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
